<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="21225" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES">
    <device id="retina6_0" orientation="portrait" appearance="light"/>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="21207"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="System colors in document resources" minToolsVersion="11.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner" customClass="SLModifyNicknameVc">
            <connections>
                <outlet property="clearBtn" destination="9gf-Go-vyj" id="eVU-Df-hhL"/>
                <outlet property="nickNameTextField" destination="koY-eZ-oHY" id="jGT-4n-Mn9"/>
                <outlet property="view" destination="i5M-Pr-FkT" id="sfx-zR-JGt"/>
            </connections>
        </placeholder>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <view clearsContextBeforeDrawing="NO" contentMode="scaleToFill" id="i5M-Pr-FkT">
            <rect key="frame" x="0.0" y="0.0" width="390" height="844"/>
            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
            <subviews>
                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="ioz-zc-vk2">
                    <rect key="frame" x="0.0" y="111" width="390" height="50"/>
                    <subviews>
                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="昵称" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="4VN-rt-5Yj">
                            <rect key="frame" x="15.999999999999996" y="15.333333333333327" width="32.666666666666657" height="19.333333333333329"/>
                            <fontDescription key="fontDescription" type="system" pointSize="16"/>
                            <nil key="textColor"/>
                            <nil key="highlightedColor"/>
                        </label>
                        <textField opaque="NO" contentMode="scaleToFill" horizontalHuggingPriority="248" contentHorizontalAlignment="left" contentVerticalAlignment="center" placeholder="请输入文字" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="koY-eZ-oHY">
                            <rect key="frame" x="112.99999999999999" y="8" width="210.66666666666663" height="34"/>
                            <fontDescription key="fontDescription" type="system" pointSize="14"/>
                            <textInputTraits key="textInputTraits"/>
                        </textField>
                        <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="9gf-Go-vyj">
                            <rect key="frame" x="333.66666666666669" y="6" width="48.333333333333314" height="38.333333333333336"/>
                            <inset key="imageEdgeInsets" minX="0.0" minY="0.0" maxX="2.2250738585072014e-308" maxY="0.0"/>
                            <state key="normal" image="icon_clear_circle"/>
                            <buttonConfiguration key="configuration" style="plain" image="icon_clear_circle"/>
                            <connections>
                                <action selector="clearBtnClick:" destination="-1" eventType="touchUpInside" id="SLR-zX-y8M"/>
                            </connections>
                        </button>
                    </subviews>
                    <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                    <constraints>
                        <constraint firstItem="koY-eZ-oHY" firstAttribute="leading" secondItem="ioz-zc-vk2" secondAttribute="leading" constant="113" id="3JP-dE-hbi"/>
                        <constraint firstItem="9gf-Go-vyj" firstAttribute="centerY" secondItem="ioz-zc-vk2" secondAttribute="centerY" id="Cbj-TD-4sR"/>
                        <constraint firstItem="9gf-Go-vyj" firstAttribute="leading" secondItem="koY-eZ-oHY" secondAttribute="trailing" constant="10" id="LvF-N0-W7t"/>
                        <constraint firstItem="4VN-rt-5Yj" firstAttribute="leading" secondItem="ioz-zc-vk2" secondAttribute="leading" constant="16" id="Ryz-Am-9up"/>
                        <constraint firstItem="koY-eZ-oHY" firstAttribute="centerY" secondItem="ioz-zc-vk2" secondAttribute="centerY" id="X60-4b-VhT"/>
                        <constraint firstAttribute="trailing" secondItem="9gf-Go-vyj" secondAttribute="trailing" constant="8" id="aCu-4t-FVh"/>
                        <constraint firstItem="4VN-rt-5Yj" firstAttribute="centerY" secondItem="ioz-zc-vk2" secondAttribute="centerY" id="eFt-76-M4K"/>
                        <constraint firstAttribute="height" constant="50" id="fPX-wv-L3k"/>
                        <constraint firstItem="koY-eZ-oHY" firstAttribute="top" secondItem="ioz-zc-vk2" secondAttribute="top" constant="8" id="rz5-9K-G6l"/>
                    </constraints>
                </view>
            </subviews>
            <viewLayoutGuide key="safeArea" id="Q5M-cg-NOt"/>
            <color key="backgroundColor" systemColor="systemBackgroundColor"/>
            <constraints>
                <constraint firstItem="ioz-zc-vk2" firstAttribute="leading" secondItem="Q5M-cg-NOt" secondAttribute="leading" id="SkV-Oo-KXg"/>
                <constraint firstItem="Q5M-cg-NOt" firstAttribute="trailing" secondItem="ioz-zc-vk2" secondAttribute="trailing" id="abm-Ga-EzR"/>
                <constraint firstItem="ioz-zc-vk2" firstAttribute="top" secondItem="Q5M-cg-NOt" secondAttribute="top" constant="64" id="jnN-0X-avd">
                    <userDefinedRuntimeAttributes>
                        <userDefinedRuntimeAttribute type="boolean" keyPath="safeAreaTop" value="YES"/>
                    </userDefinedRuntimeAttributes>
                </constraint>
            </constraints>
            <point key="canvasLocation" x="89" y="-1"/>
        </view>
    </objects>
    <resources>
        <image name="icon_clear_circle" width="24.333333969116211" height="24.333333969116211"/>
        <systemColor name="systemBackgroundColor">
            <color white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
        </systemColor>
    </resources>
</document>
